Subject: Re: bug#75634: 29.1; Clearer prompt in info-lookup-change-mode

From: Eli Zaretskii <[email-masked]>
Date: Sun, 19 Jan 2025 07:48:03 +0200

> From: Howard Melman <[email-masked]>
> Date: Sat, 18 Jan 2025 16:09:25 -0500
> 
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> 1. I don't love "help" in here, because it's not using
> >> help-mode but is looking up documentation in info manuals.
> >
> > Then I can suggest
> >
> >   Major mode whose documentation to look up about this %s
> >
> >> 2. Both your and my suggestions suffer that they don't
> >> explain that the major mode is used to qualify the symbol
> >> (it's a lisp symbol) and not the "lookup mode" (like help or
> >> info or man).
> >>
> >> How about this?
> >>
> >>   Use which major mode's manuals to lookup this %s
> >
> > This is confusing English-wise, IMO.  Please see if my suggestion
> > above solves your problem #2 as well.
> 
> Can you explain what you find confusing about this? (native
> US english speaker here).

The "Use which mode" part.  It's more natural to say "Which mode to
use" instead, but in any case, both wordings are phrased as a
question, whereas our prompts in Emacs are usually not questions.  For
example, "C-x C-f" prompts with "Find file:", not with "Find which
file" or "Which file to find".

> I find the possessive "major mode's manuals" clearer than
> "Major mode whose documentation".

We could use "manuals", but that would reveal some of the command's
implementation.  What if tomorrow the command will be extended to
search the doc strings as well?  "Documentation" sounds less specific
and still accurate.

> Also the mapping is really major mode to manuals to find the
> symbol's documentation, as confirmed in info-lookup-symbol's
> docstring "MODE is the major mode whose Info manuals to search for
> the documentation of SYMBOL."

I know what the command does and how it works, but do we really need
to describe all that in the prompt?

> I had copied the original's prompt beginning with "Use" but
> I see you're not.  It's also perhaps too generic a
> verb. Maybe this works for both of us?
> 
>    Search which major mode's manuals for documentation of %s

This is again phrased as a question.  Also, "documentation of symbol"
sounds vague and somewhat confusing (did you think %s stands for the
name of the symbol, perhaps?)  But if you prefer this choice of words,
then how about

  Major mode whose documentation to search for this %s